package enum

type InfrastructureType int

const (
	DOCKER InfrastructureType = iota
	KUBERNETES
	SLURM
	HW
	CONDOR
)

func (t InfrastructureType) String() string {
	return [...]string{"DOCKER", "KUBERNETES", "SLURM", "HW", "CONDOR"}[t]
}

// get list of all infrastructure types
func InfrastructureList() []InfrastructureType {
	return []InfrastructureType{DOCKER, KUBERNETES, SLURM, HW, CONDOR}
}
